[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Psi+ connection issue

Hello,
I’ll start with saying I’m well-aware of psi-plus poor privacy records and I’m also aware it’s not recommended to use it.
I’m in need of using xmpp+OTR client though, and I’ve been through all other possibilities (pidgin, gajim etc) and I’m trying to find one that works well, provides plugins for antispam (most important thing for me).
I started fresh installation of whonix, everything is working well and smooth, but I’m having issue setting up Psi-plus. Installed it from repo (psi-plus). Didn’t change anything, simply added xmpp accounts, but seems it can’t connect. I tested different xmpp servers (they are up 100%) so I believe issue is with configuring the connection on psi-plus itself. Psi seems to be not connected at all, I can’t even download list of available xmpp servers etc.

Right now I have everything on default, in options/application tab:
Data transfer base port: 8010
Data transfer external address: empty
Proxy settings:
Default/None

in accounts tab:
Connection proxy: none
Compress traffic (if possible) - yes
send ‘keep alive’ packets - yes
enable stream management if possible - yes
manually specify server host/port -no

I believe something has to be changed, because it’s not connecting on fresh installation without changing any sort of default settings, but I have no idea what. I’ll be thankful for any sort of advice.

Tried changing proxy settings to:
socks5
127.0.0.1
9150
Still doesn’t work.

There was an error communicating with the server.
Details: Authentication error: No appropriate mechanism available for given security settings (e.g. SASL library too weak, or plaintext authentication not enabled)
Offered mechanisms: PLAIN, SCRAM-SHA-1

I understand there is no solution for that, yes?

fukkmylife via Whonix Forum:

There was an error communicating with the server.
Details: Authentication error: No appropriate mechanism available for given security settings (e.g. SASL library too weak, or plaintext authentication not enabled)
Offered mechanisms: PLAIN, SCRAM-SHA-1

I understand there is no solution for that, yes?

Dunno. But for that aspect at least
https://www.whonix.org/wiki/Free_Support_Principle applies.

1 Like

Could you recommend any other xmpp client that is not forgotten by devs and supports OTR? I’m also aware OTR is bugged and old as fuck, but there is no way I could convince all my business contacts to drop it for ONEMO.
I installed gajim from whonix repo, it seems perfect, but they dropped OTR support and didn’t port it for python 3… As you can see, I’m desperate and on Pidgin I’m fucked by spammers who are literally flooding all the accounts I run (10+).

No idea. Only what’s on this page:

Just a guess but you need to direct it at 10.152.152.10 where Tor is running and not localhost.

If you absolutely need a more modern OTR client go for a Debian Testing VM with CoyIM installed. It should use Tor by default.

For OMEMO the best thing we have is Gajim at the moment because Dino IM is broken and we don;t know why.

(There’s no plugin framework for Coy)

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]